CVE-2019-9851

Title: CVE-2019-9851 LibreLogo global-event script execution

Announced: August 15, 2019

Fixed in: 6.2.6/6.3.0

Description:

LibreOffice is typically bundled with LibreLogo, a programmable turtle vector graphics script, which can execute arbitrary python commands contained with the document it is launched from.

Protection was added, to address CVE-2019-9848, to block calling LibreLogo from document event script handers, e.g. mouse over. However LibreOffice also has a separate feature where documents can specify that pre-installed scripts can be executed on various global script events such as document-open, etc

In the fixed versions, global script event handlers are validated equivalently to document script event handlers.

Credits:

Thanks to Gabriel Masei of 1&1 for discovering and reporting this issue

References:

    CVE-2019-9851

Latest Tweets

@libreoffice
@tdforg